-- MySQL dump 10.9
--
-- Host: athena    Database: iSSAKE
-- ------------------------------------------------------
-- Server version	4.0.18
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `contig`
--

DROP TABLE IF EXISTS `contig`;
CREATE TABLE `contig` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `FK_run__id` int(10) unsigned NOT NULL default '0',
  `ntSeq` varchar(200) default NULL,
  `depth` mediumint(8) unsigned NOT NULL default '0',
  `clonotype` varchar(200) NOT NULL default '',
  `ntCDR3` varchar(100) NOT NULL default '',
  `aaCDR3` varchar(100) NOT NULL default '',
  `ntSeqShort` varchar(200) default NULL,
  `aaSeqShort` varchar(200) default NULL,
  `ntSeqLong` varchar(250) default NULL,
  `aaSeqLong` varchar(250) default NULL,
  `vName` varchar(15) default NULL,
  `vDeleted` smallint(5) unsigned default NULL,
  `vEnd` smallint(5) unsigned default NULL,
  `vFrame` smallint(5) unsigned default NULL,
  `jName` varchar(15) default NULL,
  `jDeleted` smallint(5) unsigned default NULL,
  `jRestSeq` varchar(200) default NULL,
  `frameCheck` smallint(5) unsigned NOT NULL default '0',
  `vPossible` mediumint(8) unsigned default NULL,
  `ntTRCB` text NOT NULL,
  `aaTCRB` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_run__id` (`FK_run__id`),
  KEY `clonotype` (`clonotype`),
  KEY `ntSeq` (`ntSeq`)
) TYPE=MyISAM;

--
-- Dumping data for table `contig`
--

LOCK TABLES `contig` WRITE;
/*!40000 ALTER TABLE `contig` DISABLE KEYS */;
/*!40000 ALTER TABLE `contig` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `run`
--

DROP TABLE IF EXISTS `run`;
CREATE TABLE `run` (
  `id` int(11) NOT NULL auto_increment,
  `FK_sample__id` smallint(5) unsigned NOT NULL default '0',
  `parameters` varchar(80) default NULL,
  `description` text,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `FK_sample__id` (`FK_sample__id`)
) TYPE=MyISAM;

--
-- Dumping data for table `run`
--

LOCK TABLES `run` WRITE;
/*!40000 ALTER TABLE `run` DISABLE KEYS */;
/*!40000 ALTER TABLE `run` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample`
--

DROP TABLE IF EXISTS `sample`;
CREATE TABLE `sample` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `source` varchar(80) default NULL,
  `description` text,
  `date` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM;

--
-- Dumping data for table `sample`
--

LOCK TABLES `sample` WRITE;
/*!40000 ALTER TABLE `sample` DISABLE KEYS */;
/*!40000 ALTER TABLE `sample` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sangerAssembly`
--

DROP TABLE IF EXISTS `sangerAssembly`;
CREATE TABLE `sangerAssembly` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `FK_run__id` int(10) unsigned NOT NULL default '0',
  `ntSequence` text NOT NULL,
  `type` varchar(20) NOT NULL default '',
  `readCount` int(10) unsigned NOT NULL default '0',
  `cloneCount` int(10) unsigned NOT NULL default '0',
  `parameters` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `FK_run__id` (`FK_run__id`)
) TYPE=MyISAM;

--
-- Dumping data for table `sangerAssembly`
--

LOCK TABLES `sangerAssembly` WRITE;
/*!40000 ALTER TABLE `sangerAssembly` DISABLE KEYS */;
/*!40000 ALTER TABLE `sangerAssembly` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sangerRun`
--

DROP TABLE IF EXISTS `sangerRun`;
CREATE TABLE `sangerRun` (
  `id` int(11) NOT NULL auto_increment,
  `FK_sample__id` smallint(5) unsigned NOT NULL default '0',
  `parameters` varchar(80) default NULL,
  `description` text,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `FK_sample__id` (`FK_sample__id`)
) TYPE=MyISAM;

--
-- Dumping data for table `sangerRun`
--

LOCK TABLES `sangerRun` WRITE;
/*!40000 ALTER TABLE `sangerRun` DISABLE KEYS */;
/*!40000 ALTER TABLE `sangerRun` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ssakeContig`
--

DROP TABLE IF EXISTS `ssakeContig`;
CREATE TABLE `ssakeContig` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `FK_run__id` int(10) unsigned NOT NULL default '0',
  `FK_contig__ntSeq` varchar(200) default NULL,
  `name` varchar(200) NOT NULL default '',
  `seedDepth` mediumint(8) unsigned NOT NULL default '0',
  `variationNumber` mediumint(8) unsigned NOT NULL default '0',
  `clonotype` varchar(200) NOT NULL default '',
  `ntCDR3` varchar(100) NOT NULL default '',
  `aaCDR3` varchar(100) NOT NULL default '',
  `ntSeqFull` text,
  `ntSeqShort` varchar(200) default NULL,
  `aaSeqShort` varchar(200) default NULL,
  `ntSeqLong` varchar(250) default NULL,
  `aaSeqLong` varchar(250) default NULL,
  `vName` varchar(15) default NULL,
  `vDeleted` smallint(5) unsigned default NULL,
  `vEnd` smallint(5) unsigned default NULL,
  `vFrame` smallint(5) unsigned default NULL,
  `jName` varchar(15) default NULL,
  `jDeleted` smallint(5) unsigned default NULL,
  `jRestSeq` varchar(200) default NULL,
  `frameCheck` smallint(5) unsigned NOT NULL default '0',
  `ntTCRB` text NOT NULL,
  `aaTCRB` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK_run__id` (`FK_run__id`),
  KEY `clonotype` (`clonotype`),
  KEY `FK_contig__ntSeq` (`FK_contig__ntSeq`)
) TYPE=MyISAM;

--
-- Dumping data for table `ssakeContig`
--

LOCK TABLES `ssakeContig` WRITE;
/*!40000 ALTER TABLE `ssakeContig` DISABLE KEYS */;
/*!40000 ALTER TABLE `ssakeContig` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `summary`
--

DROP TABLE IF EXISTS `summary`;
CREATE TABLE `summary` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `FK_run__id` int(10) unsigned NOT NULL default '0',
  `ssakeUnique` int(10) unsigned NOT NULL default '0',
  `ssakeAll` int(10) unsigned NOT NULL default '0',
  `unambiguousContigsUnique` int(10) unsigned NOT NULL default '0',
  `unambiguousContigsAll` int(10) unsigned NOT NULL default '0',
  `translateOkUnique` int(10) unsigned NOT NULL default '0',
  `translateOkAll` int(10) unsigned NOT NULL default '0',
  `translateWrongUnique` int(10) unsigned NOT NULL default '0',
  `translateWrongAll` int(10) unsigned NOT NULL default '0',
  `ambiguousUnique` int(10) unsigned NOT NULL default '0',
  `ambiguousAll` int(10) unsigned NOT NULL default '0',
  `ambiguousShortUnique` int(10) unsigned default NULL,
  `ambiguousShortAll` int(10) unsigned NOT NULL default '0',
  `ambiguousLongUnique` int(10) unsigned NOT NULL default '0',
  `ambiguousLongAll` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `FK_run__id` (`FK_run__id`)
) TYPE=MyISAM;

--
-- Dumping data for table `summary`
--

LOCK TABLES `summary` WRITE;
/*!40000 ALTER TABLE `summary` DISABLE KEYS */;
/*!40000 ALTER TABLE `summary` ENABLE KEYS */;
UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

