#!/usr/bin/perl

#NAME
#   Rene Warren, May08 

#SYNOPSIS

#LICENSE
#   Copyright (c) 2006 Canada's Michael Smith Genome Science Centre.  All rights reserved.

#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.


use strict;
use Benchmark;
require "getopts.pl";
use vars qw($opt_f);
&Getopts('f:');


if(! $opt_f){
   print "Usage: $0\n";
   print "-f <file.fa>\n";
}

my $file = $opt_f;

if(! -e $opt_f){
   die "Invalid file $opt_f.\n";
}



&normalizeSequences($file);


exit;


#-----------------
sub normalizeSequences{
   my $file =shift;

   my $set;

   my $ctrd=0;
   my $head = "";
   my $name;

   open(IN,$file);
   while(<IN>){
      chomp;
      if(/\>(\S+)/){

         $head=$1;

      }elsif(/^([ACGT]*)$/i){
         
         my $seq=$1;
         my $orig=uc($seq);  

         if ($orig ne ''){ 

            $set->{$orig}++;
            $name->{$orig} = $head;
            $ctrd++;
         }
      }
   }
   print "\tTotal sequences read: $ctrd\n";
   print "\tNumber of unique sequences: " . keys( %$set ) . "\n";

   my $new = $file . ".normalized.fa";

   open (OUT,">$new");
   foreach my $seq (sort {$set->{$b}<=>$set->{$a}} keys %$set){
      print OUT ">$name->{$seq}|seeddepth$set->{$seq}\n$seq\n";
   }
   close OUT;
   close IN;

}
